toolzerhub API Docs

List community post comments

Returns comments for required post_id. Optional owner channel, localization, ordering, and page_cursor control results.

1 credit / requestBilled only on success
GET
/v2/youtube/post/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

post_id*string

YouTube community post ID.

Length1 <= length
owner_channel?string

Channel ID that owns the community post.

region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

sort_order?string

Result order. Available values: top, newest.

Value in

  • "top"
  • "newest"
page_cursor?string

Cursor returned by the previous response.

curl -X GET "https://example.com/v2/youtube/post/comments?post_id=UgkxR2xM8QJQexample" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "commentsCount": "string",    "property1": null,    "property2": null  }}